# std::array<T,N>::at

From cppreference.com
< cpp‎ | container‎ | array

reference at( size_type pos ); |  | (until C++17)
constexpr reference at( size_type pos ); |  | (since C++17)
const_reference at( size_type pos ) const; |  | (until C++14)
constexpr const_reference at( size_type pos ) const; |  | (since C++14)

Returns a reference to the element at specified location `pos`, with bounds checking.

If `pos` is not within the range of the container, an exception of type std::out_of_range is thrown.

### Parameters

pos | - | position of the element to return

### Return value

Reference to the requested element.

### Exceptions

std::out_of_range if !(pos < size()).

### Complexity

Constant.

### See also

operator[] | access specified element (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/array/at&oldid=50432"